using System;
using Server; 
using Server.Items; 
using Server.Mobiles; 
using Server.Targeting; 
using Server.Network;
using Server.Gumps;

namespace Server.BODSystem
{ 
public class Core
{
public static void Initialize() 
{
Server.Commands.Register( "Bod", AccessLevel.Player, new CommandEventHandler( BodCommand ) );
Server.Commands.Register( "Bodcu", AccessLevel.Player, new CommandEventHandler( BodcuCommand ) );
}
[Usage( "Bod" )] 
public static void BodCommand( CommandEventArgs e ) 
{
e.Mobile.CloseGump( typeof ( BODGump ) );
e.Mobile.SendGump( new BODGump( e.Mobile ) );
}
public class BODGump : Gump
{
public BODGump( Mobile from ) : base(0, 0)
{
PlayerMobile pm = (PlayerMobile)from;

AddPage(0);
AddBackground(50, 50, 283, 277, 9270);
AddImageTiled(61, 61, 261, 255, 2624);
AddItem(71, 66, 3992);
AddLabel(128, 85, 1160, "Tailor/Smith Bilgileri");
AddLabel(70, 130, 67, "Tailoring:");
AddLabel(70, 150, 1149, "Bod Hakknz:");
AddLabel(70, 165, 1149, "Kalan Hak:");
AddLabel(70, 180, 1149, "Sonraki Bod:");
AddLabel(200, 150, 1149, pm.BODTailorMax.ToString() );
AddLabel(200, 165, 1149, pm.BODTailor.ToString() );
AddLabel(200, 180, 1149, pm.NextTailorBulkOrder.ToString().Substring( 0, 8 ) );
AddLabel(70, 200, 67, "Blacksmithy:");
AddLabel(70, 220, 1149, "Bod Hakknz:");
AddLabel(70, 235, 1149, "Kalan Hak:");
AddLabel(70, 250, 1149, "Sonraki Bod:");
AddLabel(200, 220, 1149, pm.BODSmithMax.ToString() );
AddLabel(200, 235, 1149, pm.BODSmith.ToString() );
AddLabel(200, 250, 1149, pm.NextSmithBulkOrder.ToString().Substring( 0, 8 ) );
}
}
[Usage( "Bodcu" )] 
public static void BodcuCommand( CommandEventArgs e ) 
{
Mobile from = e.Mobile;
if ( from.Skills.Blacksmith.Base < 100 && from.Skills.Tailoring.Base < 100 )
from.SendMessage("Bod alabilen biri deilsiniz.");
else
{
from.CloseGump( typeof ( BODAcceptGump ) );
from.SendGump( new BODAcceptGump() );
// e.Mobile.Target = new BondedTarget( e.Mobile );
}
}
public class BODAcceptGump : Gump
{
public BODAcceptGump() : base(0, 0)
{
Closable=true;
Disposable=true;
Dragable=true;
Resizable=false;
AddPage(0);
AddBackground(50, 50, 299, 221, 9350);
AddLabel(177, 53, 37, "UYARI");
AddHtml( 65, 79, 270, 146, "Eer sahip olduunuz BOD alma yetkisini baka bir craft karaktere aktarrsanz bu karakterin Blacksmithy ve Tailoring skillleri sfrlanacaktr.. Kabul ediyor musunuz?", true, true);
AddButton(101, 235, 247, 248, 1, GumpButtonType.Reply, 0);
AddButton(226, 235, 242, 243, 0, GumpButtonType.Reply, 0);
}
public override void OnResponse( NetState state, RelayInfo info )
{
if ( info.ButtonID == 0 )
return;
state.Mobile.Target = new BODAcceptTarget();
state.Mobile.SendMessage(1166, "Yetkinizi vereceiniz Tailor ya da Blacksmith karakteri sein...");
}
}
public class BODAcceptTarget : Target
{
public BODAcceptTarget() : base( -1, false, TargetFlags.None )
{
}
protected override void OnTarget( Mobile from, object o )
{
if ( !(o is PlayerMobile) )
return;
else
{
PlayerMobile pm = (PlayerMobile)o;
if ( ((PlayerMobile)from).BODTailorMax > 0 || ((PlayerMobile)from).BODSmithMax > 0 )
from.SendMessage( 1166, "Bu karakterde birden ok BOD hakk var. Bu nedenle transfer geersizdir." );
else if ( from.Skills.Tailoring.Base >= 100 && pm.Skills.Tailoring.Base >= 100 )
{
pm.BODTailorMax++;
pm.SendMessage( 1166, String.Format("{0} adl oyuncu Tailor BOD alma yetkisini size devretmitir...", from.Name ) );
from.Skills.Tailoring.Base = 0;
}
else if ( from.Skills.Blacksmith.Base >= 100 && pm.Skills.Blacksmith.Base >= 100 )
{
pm.BODSmithMax++;
pm.SendMessage( 1166, String.Format("{0} adl oyuncu Smith BOD alma yetkisini size devretmitir...", from.Name ) );
from.Skills.Blacksmith.Base = 0;
}
else
from.SendMessage( 1166, "Baz sorunlardan dolay ilem gereklemedi. Her iki karakterinde skill 100 olmal." );
}
}
}
}
}